﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ELTE.Algorithms.BinarySearchTree.Serialize.Model
{
    public partial class BinarySearchTree<KeyType, ValueType>
    {
        /// <summary>
        /// Bináris keresőfa elemtípusa.
        /// </summary>
        [Serializable]
        public class Node // az elemtípus most már egy beágyazott osztály
        {
            /// <summary>
            /// Szülő mutató.
            /// </summary>
            public Node Parent;
            /// <summary>
            /// Bal gyerek mutató.
            /// </summary>
            public Node Left;
            /// <summary>
            /// Jobb gyerek mutató.
            /// </summary>
            public Node Right;
            /// <summary>
            /// Kulcs. 
            /// </summary>
            public KeyType Key;
            /// <summary>
            /// Érték.
            /// </summary>
            public ValueType Value;

            public Node(KeyType key, ValueType value) { Key = key; Value = value; }
            public Node(KeyType key, ValueType value, Node parent) { Key = key; Value = value; Parent = parent; }
            public Node(KeyType key, ValueType value, Node parent, Node left, Node right)
            {
                Key = key;
                Value = value;
                Parent = parent;
                Left = left;
                Right = right;
            }
        }
    }
}
