﻿using System;
using System.Collections.Generic;
using System.Text;
using Drawing = System.Drawing;

namespace ELTE.Forms.VectorDrawing.Shapes
{
    /// <summary>
    /// Ellipszis alakzat osztálya
    /// </summary>
    public class Ellipse : Shape
    {
        /// <summary>
        /// Ellipszis lérehozása.
        /// </summary>
        /// <param name="type">Alakzat típusa.</param>
        /// <param name="x">Alakzat vízszintes pozíciója.</param>
        /// <param name="y">Alakzat függőleges pozíciója.</param>
        /// <param name="width">Alakzat szélessége.</param>
        /// <param name="height">Alakzat magassága.</param>
        public Ellipse(Int32 x, Int32 y, Int32 width, Int32 height)
            : base(x, y, width, height)
        { }

        /// <summary>
        /// Ellipszis kirajzolása.
        /// </summary>
        /// <param name="graphics">Rajzobjektum.</param>
        public override void Draw(Drawing.Graphics graphics)
        {
            graphics.FillEllipse(Drawing.Brushes.Red, _Location); // alakzat kitöltése
            graphics.DrawEllipse(Drawing.Pens.DarkRed, _Location); // alakzat határoló vonala
        }
    }
}
