﻿using System;
using System.Collections.Generic;
using System.Text;
using Drawing = System.Drawing;

namespace ELTE.Forms.VectorDrawing.Shapes
{
    /// <summary>
    /// Téglalap alakzat osztálya
    /// </summary>
    class Rectangle : Shape
    {
        /// <summary>
        /// Téglalap lérehozása.
        /// </summary>
        /// <param name="type">Alakzat típusa.</param>
        /// <param name="x">Alakzat vízszintes pozíciója.</param>
        /// <param name="y">Alakzat függőleges pozíciója.</param>
        /// <param name="width">Alakzat szélessége.</param>
        /// <param name="height">Alakzat magassága.</param>
        public Rectangle(Int32 x, Int32 y, Int32 width, Int32 height)
            : base(x, y, width, height)
        { }

        /// <summary>
        /// Téglalap kirajzolása.
        /// </summary>
        /// <param name="graphics">Rajzobjektum.</param>
        public override void Draw(Drawing.Graphics graphics)
        {
            graphics.FillRectangle(Drawing.Brushes.LightGreen, _Location);
            graphics.DrawRectangle(Drawing.Pens.DarkGreen, _Location);
        }
    }
}
