﻿using System;
using System.Collections.Generic;
using System.Text;
using Drawing = System.Drawing;

namespace ELTE.Forms.VectorDrawing.Shapes
{
    /// <summary>
    /// Vektoros alakzat absztrakt osztálya
    /// </summary>
    public abstract class Shape
    {
        /// <summary>
        /// Befoglaló téglalap, amely tartalmazza az elhelyezkedést és a méretet.
        /// </summary>
        protected Drawing.Rectangle _Location;

        /// <summary>
        /// Alakzat lérehozása.
        /// </summary>
        /// <param name="type">Alakzat típusa.</param>
        /// <param name="x">Alakzat vízszintes pozíciója.</param>
        /// <param name="y">Alakzat függőleges pozíciója.</param>
        /// <param name="width">Alakzat szélessége.</param>
        /// <param name="height">Alakzat magassága.</param>
        public Shape(Int32 x, Int32 y, Int32 width, Int32 height)
        {
            _Location = new Drawing.Rectangle(x, y, width, height);
        }

        /// <summary>
        /// Alakzat kijazolása.
        /// </summary>
        /// <param name="graphics">Rajzobjektum.</param>
        public abstract void Draw(Drawing.Graphics graphics);
    }
}
