﻿using System;
using System.Collections.Generic;
using System.Text;
using Drawing = System.Drawing;

namespace ELTE.Forms.VectorDrawing.Shapes
{
    /// <summary>
    /// Háromszög alakzat osztálya
    /// </summary>
    class Triangle : Shape
    {
        /// <summary>
        /// Háromszög lérehozása.
        /// </summary>
        /// <param name="type">Alakzat típusa.</param>
        /// <param name="x">Alakzat vízszintes pozíciója.</param>
        /// <param name="y">Alakzat függőleges pozíciója.</param>
        /// <param name="width">Alakzat szélessége.</param>
        /// <param name="height">Alakzat magassága.</param>
        public Triangle(Int32 x, Int32 y, Int32 width, Int32 height)
            : base(x, y, width, height)
        { }

        /// <summary>
        /// Háromszög kirajzolása.
        /// </summary>
        /// <param name="graphics">Rajzobjektum.</param>
        public override void Draw(Drawing.Graphics graphics)
        {
            Drawing.Point[] points = new Drawing.Point[3]; // a háromszöget poligonként rajzoljuk, pontok segítségével
            points[0] = new Drawing.Point(_Location.X + _Location.Width / 2, _Location.Y);
            points[1] = new Drawing.Point(_Location.X, _Location.Y + _Location.Height);
            points[2] = new Drawing.Point(_Location.X + _Location.Width, _Location.Y + _Location.Height);

            graphics.FillPolygon(Drawing.Brushes.Yellow, points);
            graphics.DrawPolygon(Drawing.Pens.Orange, points);
        }
    }
}
